#ifndef INCLUDED_ESDOM_Attr_hpp
#define INCLUDED_ESDOM_Attr_hpp

#include <ESDOM/NodeBase.hpp>
#include <ESDOM/ESDOMException.hpp>

namespace ESDOM
{

class ESDOM_EXPORT AttrInst;

class ESDOM_EXPORT Attr : public virtual NodeBase
{
public:
	Attr();
	Attr(const Attr &original);
	Attr(const AttrInst *instance);
	virtual ~Attr();

	virtual Attr &	operator = (const Attr &node);

//	virtual ESDOMString	getName(void) const {return getNodeName();}
//	virtual bool		getSpecified(void);
//	virtual void		setValue(ESDOMString value){return setNodeValue(value);}
//	virtual DOMString	getValue(void) const {return getNodeValue();}

protected:

	friend	class	Element;
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_Attr_hpp */
