#ifndef INCLUDED_ESDOM_Initializer_hpp
#define INCLUDED_ESDOM_Initializer_hpp

namespace ESDOM
{

class ESDOM_EXPORT Initializer
{
public:
	static	bool	initialize(unsigned long nodeListPageSize, unsigned long namedNodeMapHashTableSize, unsigned long ESDOMStringPageSize);
	static	bool	initialized(){return m_initialized;}
private:
	static	bool	m_initialized;
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_Initializer_hpp */
