#ifndef INCLUDED_ESDOM_ProcessingInstruction_hpp
#define INCLUDED_ESDOM_ProcessingInstruction_hpp

#include <ESDOM/NodeBase.hpp>
#include <ESDOM/ESDOMException.hpp>

namespace ESDOM
{

class ESDOM_EXPORT ProcessingInstructionInst;

class ESDOM_EXPORT ProcessingInstruction : public virtual NodeBase
{
public:
	ProcessingInstruction();
	ProcessingInstruction(const ProcessingInstruction &original);
	ProcessingInstruction(const ProcessingInstructionInst *instance);
	virtual ~ProcessingInstruction();

	virtual ProcessingInstruction & operator = (const ProcessingInstruction &node);

protected:
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_ProcessingInstruction_hpp */
